/*****************************************************************************
 * Copyright (C) 1997-2007, Mark Hummel
 * This file is part of Vrq.
 *
 * Vrq is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * Vrq is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, 
 * Boston, MA  02110-1301  USA
 *****************************************************************************
 */

/******************************************************************************
 *
 *
 *	   cportdir.cpp
 *		- class definition of port 
 *		  definition nodes
 *
 ******************************************************************************
 */

#include "cportdir.h"
#include "cnode.h"




/****************************************************
	Constructor
*****************************************************/
CPortDir::CPortDir( CSymbol* name, Coord_t* aLoc, Decl_t type ) :
	CDecl( name, aLoc, type, eFLAG_VECTOR ) {
	decl = NULL;
	portType = eNONE;
}

/****************************************************
	Dump
*****************************************************/
void	CPortDir::Dump( FILE* f )
{
	if( decl == NULL ) {
		fprintf( f, "%s: %s, defined in ", 
			declName[GetType()], GetName() );
	} else {
		fprintf( f, "%s: %s -> %s defined in ", 
			declName[GetType()], GetName(),
			decl->GetName() );
	}
	CDecl::Dump( f );
	fprintf( f, "\n" );
}	

